Skip to content
Start here

Create new saved string queries

POST/accounts/{account_id}/brand-protection/queries

Return a success message after creating new saved string queries

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel Write
Path ParametersExpand Collapse
account_id: string
minLength1
Query ParametersExpand Collapse
id: optional string
scan: optional boolean
tag: optional string
Body ParametersJSONExpand Collapse
max_time: optional string
formatdate-time
min_time: optional string
formatdate-time
scan: optional boolean
string_matches: optional unknown
tag: optional string

Create new saved string queries

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/brand-protection/queries \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{}'
Returns Examples